import enum


class DateFormatType(enum.Enum):
    ISO_WITH_SEC = "%Y-%m-%d %H:%M:%S"
    ISO_WITH_MIN = "%Y-%m-%d %H:%M"
    ISO = "%Y-%m-%d"
    US_WITH_SEC_P = "%m-%d-%Y %I:%M:%S %p"
    US_WITH_SEC = "%m-%d-%Y %H:%M:%S"
    US_WITH_MIN = "%m-%d-%Y %H:%M"
    US = "%m-%d-%Y"
    EU_WITH_SEC = "%d/%m/%Y %H:%M:%S"
    EU_WITH_MIN = "%d/%m/%Y %H:%M"
    EU = "%d/%m/%Y"
    LONG_WITH_SEC = "%B %d, %Y %H:%M:%S"
    LONG_WITH_SEC_B = "%H:%M:%S %B %d, %Y"
    LONG_WITH_MIN = "%B %d, %Y %H:%M"
    LONG_WITH_MIN_B = "%H:%M %B %d, %Y"
    LONG = "%B %d, %Y"
    FULL_WITH_SEC = "%A, %d %B %Y %H:%M:%S"
    FULL_WITH_MIN = "%A, %d %B %Y %H:%M"
    FULL = "%A, %d %B %Y"
    SHORT_YEAR_WITH_SEC = "%y-%m-%d %Y %H:%M:%S"
    SHORT_YEAR = "%y-%m-%d"
    COMPACT_WITH_SEC = "%Y%m%d%H%M%S"
    COMPACT = "%Y%m%d"
    WITH_SECONDS = "%Y-%m-%d %H:%M:%S"
    WITH_MINUTES = "%Y-%m-%d %H:%M"
    WITH_HOURS = "%Y-%m-%d %H"
